Loading...
Searching...
No Matches
Opm::GSatProd::GSatProdGroup Struct Reference

Satellite production rates for a single group. More...

`#include <GSatProd.hpp>`

## Public Member Functions

bool | operator== (const GSatProdGroup &data) const
| Equality predicate.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.

## Public Attributes

std::array< UDAValue, 5 > | rate {}
| Satellite production rates.
double | udq_undefined
| Default udq value.

## Detailed Description

Satellite production rates for a single group.

## Member Function Documentation

## operator==()

bool Opm::GSatProd::GSatProdGroup::operator== | ( | const GSatProdGroup & | data | ) | const

inline

Equality predicate.

Parameters

  [in] | data | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `data`.

## serializeOp()

template<class Serializer>

void Opm::GSatProd::GSatProdGroup::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## Member Data Documentation

## rate

std::array<UDAValue, 5> Opm::GSatProd::GSatProdGroup::rate {}

Satellite production rates.

One rate for each enumerated item.

The documentation for this struct was generated from the following file:

- opm/input/eclipse/Schedule/Group/GSatProd.hpp